import { defineConfig } from 'astro/config';
import vue from '@astrojs/vue';

// Environment Variables
import {
    SITE_PROTOCOL,
    SITE_DOMAIN,
    SITE_BASE
} from './src/utils/GetConfig'

// Adapters
import bun from 'astro-bun-adapter';

// Integrations
import mdx from '@astrojs/mdx';

export default defineConfig({
    // Information
    site: SITE_PROTOCOL + '://' + SITE_DOMAIN,
    base: SITE_BASE,
    // Integrations
    integrations: [
        mdx(),
        vue()
    ],
    // Server Output
    output: "server",
    prefetch: true,
    adapter: bun(),
    server: {
        port: 2014,
        host: true
    },
    // Others
    devToolbar: {
        enabled: false
    }
});